<?php
session_start();

if (isset($_SESSION['user_no']) == false) {
    header("Location:login.php");
}

//データベース接続情報を格納
include("config.php");

$txt_title_kj = "";
$txt_article_kj = "";
$file_folder_name = "";
$file_file_name = "";

if($_SERVER['REQUEST_METHOD'] === 'POST'){

    //POSTデータの取得
    $hid_seq_no = $_POST['hid_seq_no'];
    $txt_title_kj = $_POST['txt_title_kj'];
    $txt_article_kj = $_POST['txt_article_kj'];
    $file_folder_name = $_POST['file_folder_name'];
    $file_file_name = $_POST['file_file_name'];

    $err_title_kj = "";
    $err_article_kj = "";

    $err = true;

    if($txt_title_kj == ""){
        $err_title_kj .= "タイトルが入力されていません";
        $err = false;
    }
    if($txt_article_kj == ""){
        $err_article_kj .= "内容が入力されていません";
        $err = false;
    }

    if($err == true){

        $sql = "update news_tbl set"
        ." title_kj = :title_kj"
        .",article_kj = :article_kj"
        .",update_at = now()"
        ." where seq_no = :seq_no;";

        $dbh = new PDO($dsn, $user, $password);
        $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        try{
            $stmt = $dbh->prepare($sql);
            $stmt->bindValue(':seq_no', $hid_seq_no , PDO::PARAM_INT);
            $stmt->bindValue(':title_kj', $txt_title_kj, PDO::PARAM_STR);
            $stmt->bindValue(':article_kj', $txt_article_kj, PDO::PARAM_STR);
            $stmt->execute();
        } catch(Exception $e){
            echo "データの書き込みに失敗しました。". $e->getMessage();
        }

        if(isset($hid_seq_no) && $_FILES['up_file']['size'] != 0){

            //フォルダ名を日付＋ランダム文字列（４桁）で生成する//
            if(isset($_FILES['up_file'])){
                //ASCIIコードによる文字変換は65がA、90がZとなります。
                $folder = date(ymd).chr(mt_rand(65,90)).chr(mt_rand(65,90)).chr(mt_rand(65,90)).chr(mt_rand(65,90));
                mkdir('uploads/news/'.$folder);
            }

            $save = 'uploads/news/'.$folder.'/'.basename($_FILES['up_file']['name']);
        
            //move_uploaded_fileで、一時ファイルを保存先ディレクトリに移動させる
            if(move_uploaded_file($_FILES['up_file']['tmp_name'], $save)){
                if($file_file_name!=""){
                    $sql = "update news_fileuploads_tbl set"
                    ." folder_name = :folder_name"
                    .",file_name = :file_name"
                    .",update_at = now()"
                    ." where news_no = :news_no;";
                } else {
                    $sql = "insert into news_fileuploads_tbl("
                    ."news_no"
                    .",folder_name"
                    .",file_name"
                    .",delete_ku"
                    .",insert_at"
                    .",update_at"
                    .") values ("
                    .":news_no"
                    .",:folder_name"
                    .",:file_name"
                    .",'0'"
                    .",now()"
                    .",now()"
                    .");";
                }
                $dbh = new PDO($dsn, $user, $password);
                $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
                try{
                    $stmt = $dbh->prepare($sql);
                    $stmt->bindValue(':news_no', $hid_seq_no, PDO::PARAM_INT);
                    $stmt->bindValue(':folder_name', $folder, PDO::PARAM_STR);
                    $stmt->bindValue(':file_name', basename($_FILES['up_file']['name'], PDO::PARAM_STR));
                    $stmt->execute();
                } catch(Exception $e){
                    echo "データの書き込みに失敗しました。". $e->getMessage();
                }

            }else{
                echo 'アップロード失敗！';
            }

        }

        header("Location:news_list.php");
    }
} else {

    //GETデータの取得
    $get_seq_no = $_GET['seq_no'];

    if($get_seq_no == ""){
        header('Location: news_list.php');
        exit();
    }

    try{

        $dbh = new PDO($dsn, $user, $password);
        $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    
        $sql = "select"
                ." nm.title_kj"
                .",nm.article_kj"
                .",nft.folder_name"
                .",nft.file_name"
                ." from news_tbl nm"
                ." left join news_fileuploads_tbl nft"
                ." on nm.seq_no = nft.news_no" 
                ." where nm.seq_no = :seq_no"
                ." and nm.delete_ku = '0';";
        $stmt = $dbh->prepare($sql);
        $stmt->bindValue(':seq_no', $get_seq_no , PDO::PARAM_INT);
        $stmt->execute();
        $result = $stmt->fetch();

        $txt_title_kj = $result['title_kj'];
        $txt_article_kj = $result['article_kj'];
        $file_folder_name = $result['folder_name'];
        $file_file_name = $result['file_name'];

    }catch (PDOException $e){
        echo($e->getMessage());
        die();
    }

}
?>

<!DOCTYPE html>
<html lang="ja">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <title>Responsive Web Design</title>
  <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0">
  <meta name="keywords" content="">
  <meta name="description" content="">
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/index.css">
</head>
<body>
<!-- wrapper -->
<div class="wrapper">
  <!-- header -->
  <?php include("inc_header.php");?>
  <!-- /header -->
	
  <!-- main -->
  <main>
	  <!-- mypage-menu -->
	  		<?php include("inc_menu.php");?>
	  <!-- /mypage-menu -->
	  <!-- mypage-main -->
	  <div class="mypage-main">
		  <div class="mypage-main-midashi">お知らせ変更</div>
		  <div class="mypage-main-text">
			  
			<form method="POST" action="" accept-charset="UTF-8" enctype="multipart/form-data">
				<input type="hidden" name="hid_seq_no" value="<?php echo $get_seq_no; ?>" />

                <div class="input-formarea-field">
					<label>タイトル</label> <span style="color:#ff0000;"><?php echo $err_title_kj; ?></span>
					<div><input type="text" name="txt_title_kj" value="<?php echo $txt_title_kj; ?>"></div>
				</div>
				<div class="input-formarea-field">
					<label>内容</label> <span style="color:#ff0000;"><?php echo $err_article_kj; ?></span>
					<div><textarea name="txt_article_kj"><?php echo $txt_article_kj; ?></textarea></div>
				</div>
				<div class="input-formarea-field">
					<label for="team">画像</label>
                    <div style="margin-bottom:10px;">
                        <input type="hidden" name="file_folder_name" value="<?php echo $file_folder_name; ?>">
                        <input type="hidden" name="file_file_name" value="<?php echo $file_file_name; ?>">
                        <?php
                            $imgFilePath = "uploads/".$file_folder_name."/".$file_file_name;
                            if(isset($file_file_name) && file_exists($imgFilePath)){
                                echo "<img src='".$imgFilePath."' style='width:100px;'>";
                            }
                        ?>
                    </div>
					<div><input type="file" name="up_file"></div>
				</div>
				<button class="blue-button" type="submit">変更する</button>
			</form>
		
	  </div>
	  <!-- /mypage-main -->
  </main>
  <!-- /main -->
	
  <!-- footer -->
  <footer>
	  <div class="footer-box">
		  <div class="footer-box-dat">
			  <div class="footer-box-dat-logo"><a href="/"><img src="img/TSUNAGOON-Logo.png" alt="TSUNAGOON（ツナグーン）"></a></div>
			  <div class="footer-box-dat-copyright">
				  copyright ©2020 WELL FIELD corpolation. All rights reserved. 
			  </div>				
		  </div>
	  
	  </div>
	
  </footer>
  <!-- /footer -->

  <script src="js/script.js"></script>
<!-- /wrapper -->
</div>
</body>
</html>