<?php
session_start();

if (isset($_SESSION['user_no']) == false) {
    header("Location:login.php");
}

//データベース接続情報を格納
include("config.php");

if($_SERVER['REQUEST_METHOD'] === 'POST'){

    //POSTデータの取得
    $hid_seq_no = $_POST['hid_seq_no']; //削除される対象のseq_no

    if($hid_seq_no !== ""){

        //UPDATE文（更新）
        $sql = "update news_tbl set"
        ." delete_ku = '1'"
        ." where seq_no = :seq_no;";
        $dbh = new PDO($dsn, $user, $password);
        $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        try{
            $stmt = $dbh->prepare($sql);
            $stmt->bindValue(':seq_no', $hid_seq_no, PDO::PARAM_INT);
            $stmt->execute();
        }catch (PDOException $e){
            echo($e->getMessage());
            die();
        }
    }
}
try{
    $dbh = new PDO($dsn, $user, $password);
    $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    //一覧取得
    $sql = "select"
            ." nt.seq_no"
            .",nt.title_kj"
            .",nt.insert_at"
            .",nft.folder_name"
            .",nft.file_name"
            ." from news_tbl nt"
            ." left join news_fileuploads_tbl nft"
            ." on nt.seq_no = nft.news_no"
            ." and nft.delete_ku = '0'"
            ." where nt.delete_ku = '0'"
            ." order by nt.seq_no desc;";
    $stmt = $dbh->prepare($sql);
    $stmt->execute();

    while($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        $data[] = $row;
    }
}catch (PDOException $e){
    echo($e->getMessage());
    die();
}
?>

<!DOCTYPE html>
<html lang="ja">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <title>Responsive Web Design</title>
  <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0">
  <meta name="keywords" content="">
  <meta name="description" content="">
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/index.css">

	<script type="text/javascript">

	document.getElementById('hid_seq_no').value = "";

	function MJ_UPD(argSEQ_NO){
		document.location.href="news_edit.php?seq_no="+argSEQ_NO;
	}
	function MJ_DEL(argSEQ_NO){
		document.getElementById('hid_seq_no').value = argSEQ_NO;
		document.fr01.submit();
	}

	</script>
</head>
<body>
<!-- wrapper -->
<div class="wrapper">
  <!-- header -->
  <?php include("inc_header.php");?>
  <!-- /header -->
	
  <!-- main -->
  <main>
	  <!-- mypage-menu -->
  	<?php include("inc_menu.php");?>
	  <!-- /mypage-menu -->
	  <!-- mypage-main -->
	  <div class="mypage-main">
		  <div class="mypage-main-midashi">お知らせ一覧</div>
		  <div class="mypage-main-text">

			<div class="mypage-main-text-button">
				<a href="news_add.php" class="white-button">+ お知らせを追加する</a>
			</div>
			<div class="mypage-main-text-grid">
                <form name="fr01" action="" method="POST">
                    <input type="hidden" id="hid_seq_no" name="hid_seq_no" value="">
                    <table class="table-datalist">
                        <tbody>
                            <tr class="table-datalist-heading">
                                <th>NO</th>
                                <th>タイトル</th>
                                <th>画像</th>
                                <th></th>
                            </tr>
                            <?php foreach($data as $row): ?>
                                <tr>
                                    <td data-label="NO"><?php echo $row['seq_no']; ?></td>
                                    <td class="table-datalist-h" data-label="タイトル"><?php echo $row['title_kj']; ?></td>
                                    <td class="table-datalist-h" data-label="画像">
                                    <?php
                                        $imgFilePath = "uploads/news/".$row['folder_name']."/".$row['file_name'];
                                        if(isset($row['file_name']) && file_exists($imgFilePath)){
                                            echo "<img src='".$imgFilePath."' style='width:100px;'>";
                                        }
                                    ?>
                                    </td>
                                    <td>
                                        <a href="javascript:" class="white-button list-button" onclick="MJ_UPD(<?php echo $row['seq_no']; ?>);">編集</a><a href="javascript:" class="white-button list-button" onclick="MJ_DEL(<?php echo $row['seq_no']; ?>);">削除</a>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                    </table>
                </form>
			</div>
		
		  </div>
		
	  </div>
	  <!-- /mypage-main -->
  </main>
  <!-- /main -->
	
  <!-- footer -->
  <?php include("inc_footer.php");?>
  <!-- /footer -->

  <script src="js/script.js"></script>
<!-- /wrapper -->
</div>
</body>
</html>